/**
 * Present a TileMap as a list
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;

public class BlockListModel extends AbstractListModel implements ChangeListener
{
  private final TileMap tiles;

  public BlockListModel( TileMap tiles )
  {
    this.tiles = tiles;
    this.tiles.addChangeListener( this );
  }    

  public void stateChanged( ChangeEvent e )
  {    
    fireContentsChanged( this, 0, getSize() - 1 );
  }

  public int getSize()
  {
    return tiles.size();
  }


  public Object getElementAt(int index )
  {
    return tiles.getBlock( index );
  }
}
