import java.awt.*;
import javax.swing.event.*;
import javax.swing.*;
import java.io.*;
import java.util.*;

public class BlockPanel extends JPanel
{
  private final JList blockList;
  
  public BlockPanel( TileMap theTiles )
  {
    super();

    setLayout( new BoxLayout( this, BoxLayout.Y_AXIS ));

    blockList = new JList( new BlockListModel( theTiles ) );
    blockList.setCellRenderer( new BlockListRenderer() );
    blockList.setLayoutOrientation( JList.VERTICAL );
    blockList.setFixedCellWidth( 96 );
    JScrollPane blockPane = new JScrollPane( blockList );

    blockPane.setVerticalScrollBarPolicy( JScrollPane.VERTICAL_SCROLLBAR_ALWAYS );
    blockPane.setHorizontalScrollBarPolicy( JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS );

    add( blockPane );
  }

  public int getSelectedBlock()
  {
    return blockList.getSelectedIndex();
  }

  public void addListSelectionListener( ListSelectionListener l) {
    blockList.addListSelectionListener(l);
	}
  
	public void removeListSelectionListener(ListSelectionListener l) {
    blockList.removeListSelectionListener(l);
	}
  
	public ListSelectionListener[] getListSelectionListeners() {		
    return blockList.getListSelectionListeners();
	}
}
